gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.ConstraintLayoutChild

Contents

- Exported types
- Methods

Description

`GtkLayoutChild` subclass for children in a `GtkConstraintLayout`.

Synopsis

- newtype ConstraintLayoutChild = ConstraintLayoutChild (ManagedPtr ConstraintLayoutChild)
- class (GObject o, IsDescendantOf ConstraintLayoutChild o) => IsConstraintLayoutChild o
- toConstraintLayoutChild :: (MonadIO m, IsConstraintLayoutChild o) => o -> m ConstraintLayoutChild

# Exported types

newtype ConstraintLayoutChild Source #

Memory-managed wrapper type.

Constructors

ConstraintLayoutChild (ManagedPtr ConstraintLayoutChild) |

#### Instances

Instances details

Eq ConstraintLayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.ConstraintLayoutChild Methods (==) :: ConstraintLayoutChild -> ConstraintLayoutChild -> Bool Source # (/=) :: ConstraintLayoutChild -> ConstraintLayoutChild -> Bool Source #
GObject ConstraintLayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.ConstraintLayoutChild
ManagedPtrNewtype ConstraintLayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.ConstraintLayoutChild Methods toManagedPtr :: ConstraintLayoutChild -> ManagedPtr ConstraintLayoutChild Source #
TypedObject ConstraintLayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.ConstraintLayoutChild Methods glibType :: IO GType Source #
HasParentTypes ConstraintLayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.ConstraintLayoutChild
IsGValue (Maybe ConstraintLayoutChild) Source # | Convert `ConstraintLayoutChild` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.ConstraintLayoutChild Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ConstraintLayoutChild -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ConstraintLayoutChild) Source #
type ParentTypes ConstraintLayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.ConstraintLayoutChild type ParentTypes ConstraintLayoutChild = '[LayoutChild, Object]

class (GObject o, IsDescendantOf ConstraintLayoutChild o) => IsConstraintLayoutChild o Source #

Type class for types which can be safely cast to `ConstraintLayoutChild`, for instance with `toConstraintLayoutChild`.

#### Instances

Instances details

(GObject o, IsDescendantOf ConstraintLayoutChild o) => IsConstraintLayoutChild o Source # |
Instance details Defined in GI.Gtk.Objects.ConstraintLayoutChild

toConstraintLayoutChild :: (MonadIO m, IsConstraintLayoutChild o) => o -> m ConstraintLayoutChild Source #

Cast to `ConstraintLayoutChild`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getChildWidget, getData, getLayoutManager, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.